#include <iostream>
#include <vector>

using namespace std;

const int VELICINA = 5;

void kopirajBrojeve(int* prvo, int* drugo, vector<int>& brojevi) {
	for (int i = 0; i < VELICINA; i++) {
		int b = prvo[i];

		bool postoji = false;

		for (int j = 0; j < VELICINA; j++) {
			if (b == drugo[j]) {
				postoji = true;
				break;
			}
		}

		if (postoji) {
			// Zatim provjeravamo postoji li taj broj vec u vektoru
			bool vecUneseno = false;

			for (int k = 0; k < brojevi.size(); k++) {
				if (b == brojevi[k]) {
					vecUneseno = true;
					break;
				}
			}

			if (!vecUneseno) {
				brojevi.push_back(b);
			}
		}
	}

}

int main() {
	int prvoPolje[VELICINA] = { 1, 2, 3, 4, 5 };
	int drugoPolje[VELICINA] = { 4, 4, 5, 6, 7 };
	vector<int> brojevi;

	kopirajBrojeve(prvoPolje, drugoPolje, brojevi);

	cout << "Brojevi u novom vektoru: " << endl;

	for (int i = 0; i < brojevi.size(); i++) {
		cout << brojevi[i] << " ";
	}

	return 0;
}